Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations.security

# Annotation Type OAuthScope

@Target({}) @Retention(RUNTIME) @Inherited public @interface OAuthScope
Represents an OAuth scope.

See Also:
  - OpenAPI Specification OAuth Flow Object

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`description`
Short description of the scope.
`String`
`name`
Name of the scope.

## Element Details

### name

String name
Name of the scope.

Returns:
  the name of this scope

Default:
  ""

### description

String description
Short description of the scope.

Returns:
  the description of this scope

Default:
  ""